Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "gb" <[email-masked]>
Date: Tue, 22 Mar 2011 15:38:26 -0400

Your phone number has been added to our Do Not Call list.
Thank you,
Michael B
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: LLPS 
  To: [email-masked] 
  Sent: Tuesday, March 22, 2011 3:30 PM
  Subject: LLPS Contact Us Submission

  Name: gb

  E-mail Address: [email-masked]

  Telephone: Not specified

  Message: Please remove this number from your call list: 5127712267 

  You have no authorization to call this number. I have never nor will I
  ever do business with you. You are calling it repeatedly. Your methods
  are unethical and if you ever mail anything to me I will report you to
  the proper authorities.

  Request generated on March 22nd, 2011 at 3:30 PM EST from the IP address 74.61.93.11